menu "Tide Display Setting"
    menu "WiFi Configuration"
        config WIFI_SSID
            string "WIFI SSID"
            default "ssid"
            help
                SSID of the WiFi network to connect to.

        config WIFI_PASSWORD
            string "WIFI Password"
            default "password"
            help
                Password of the WiFi network to connect to.

        config ESP_MAXIMUM_RETRY
            int "Maximum retry"
            range 1 10
            default 5
            help
                Set the Maximum retry to avoid station reconnecting to the AP unlimited when the AP is really
                inexistent.
    endmenu

    menu "Time Configuration"
        config SNTP_TIME_SERVER
            string "SNTP server name"
            default "pool.ntp.org"
            help
                Hostname of the main SNTP server.
    endmenu

    menu "Map"
        choice "Map Provider"
            prompt "Map Provider"
            default PROVIDER_GOOGLE
            help
                Select the provider of map to use.

            config PROVIDER_GOOGLE
                bool "Google Maps"
                help
                    Use Google Maps as map provider.

            config PROVIDER_MAPBOX
                bool "MapBox"
                help
                    Use MapBox as map provider.
        endchoice

        config GOOGLE_MAP_ID
            string "Google Map ID"
            default "2f371c2346218fe8"
            depends on PROVIDER_GOOGLE
            help
                Map ID of the Google Maps Style.
    endmenu
endmenu
